import { world, system } from "@minecraft/server";
import { wardenShield } from "./items/warden_shield";
import { wardenSpear } from "./items/warden_spear";
import { wardenDagger } from "./items/warden_dagger";
import { wardenSword } from "./items/warden_sword";
import { wardenBattleAxe } from "./items/warden_battle_axe";
import { wardenHammer } from "./items/warden_hammer";
import { wardenThrowingStarProjectile } from "./items/warden_throwing_star";
import { wardenMace } from "./items/warden_mace";
import { wardenWeapons } from "./util/warden_weapons";
import { wardenWand } from "./items/warden_wand";
import { echoBlaster } from "./items/echo_blaster";
import { obeliskHandler } from "./entity/obelisk";
import { playerJoins } from "./events/player_joins";

// world.sendMessage("WARDEN WEAPONS")

new obeliskHandler();

wardenShield();
wardenSpear();
wardenDagger();
wardenSword();
wardenBattleAxe();
wardenHammer();
wardenMace();
wardenThrowingStarProjectile();
wardenWand();
echoBlaster();

wardenWeapons();

world.afterEvents.playerSpawn.subscribe(playerJoins);